export declare const XMappingItemRender: import("styled-components").StyledComponent<"div", any, {
    isDraggingOver?: boolean | undefined;
    size?: "Medium" | "Small" | undefined;
    isInvalid?: boolean | undefined;
}, never>;
export declare const XMappingDragItem: import("styled-components").StyledComponent<"div", any, {
    size?: "Medium" | "Small" | undefined;
    isDragging?: boolean | undefined;
    highlighted?: boolean | undefined;
}, never>;
export declare const XMappingListRender: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const XMappingSectionHeader: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const ActionsRender: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const ActionButton: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const HiddenPlaceholderWrapper: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const StyledCircle: import("styled-components").StyledComponent<"div", any, {}, never>;
